# Uses of Interface
org.opensaml.saml.saml1.core.Statement

Packages that use Statement
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.

## Uses of Statement in org.opensaml.saml.saml1.core

Subinterfaces of Statement in org.opensaml.saml.saml1.core
Modifier and Type
Interface
Description
`interface`
`AttributeStatement`
This interface defines how the object representing a SAML 1 `AttributeStatement` element behaves.
`interface`
`AuthenticationStatement`
This interface defines how the object representing a SAML1 `AuthenticationStatment` element behaves.
`interface`
`AuthorizationDecisionStatement`
This interface defines how the object representing a SAML1 `AuthorizationDecisionStatement` element behaves.
`interface`
`SubjectStatement`
Interface to descibe how the anchor point SubjectStatement would work.
Methods in org.opensaml.saml.saml1.core that return types with arguments of type Statement
Modifier and Type
Method
Description
`List<Statement>`
Assertion.`getStatements()`
Return the List representing all the `Statement` sub elements.
`List<Statement>`
Assertion.`getStatements(QName typeOrName)`
Return the List representing all the `Statement` sub elements with a given schema type or element name.

## Uses of Statement in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement Statement
Modifier and Type
Class
Description
`class`
`AttributeStatementImpl`
A Concrete implementation of the `AttributeStatement` Interface.
`class`
`AuthenticationStatementImpl`
A Concrete implementation of the `AuthenticationStatement` Interface.
`class`
`AuthorizationDecisionStatementImpl`
A concrete implementation of `AuthorizationDecisionStatement`.
`class`
`SubjectStatementImpl`
Abstract implementation of `SubjectStatement` type.
Fields in org.opensaml.saml.saml1.core.impl with type parameters of type Statement
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<Statement>`
AssertionImpl.`statements`
Object representation of all the `Statement` elements.
Methods in org.opensaml.saml.saml1.core.impl that return types with arguments of type Statement
Modifier and Type
Method
Description
`List<Statement>`
AssertionImpl.`getStatements()`
Return the List representing all the `Statement` sub elements.
`List<Statement>`
AssertionImpl.`getStatements(QName typeOrName)`
Return the List representing all the `Statement` sub elements with a given schema type or element name.